

On Sat, Apr 23, 2005 at 04:44:11PM -0700, Andrew Morton wrote:
> Adrian Bunk <bunk@stusta.de> wrote:
> >
> > I didn't find any possible modular usage in the kernel.
> > 
> 
> True, but this looks like something which out-of-tree code could possibly
> be using.  I'd prefer to see this one get the deprecated_for_modules
> twelve-month treatment.
>...

Patch below.

cu
Adrian

<--  snip  -->


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/feature-removal-schedule.txt |    8 ++++++++
 include/linux/ioport.h                     |    2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff -puN Documentation/feature-removal-schedule.txt~__deprecated_for_modules-insert_resource Documentation/feature-removal-schedule.txt
--- 25/Documentation/feature-removal-schedule.txt~__deprecated_for_modules-insert_resource	Wed Jul  6 14:28:12 2005
+++ 25-akpm/Documentation/feature-removal-schedule.txt	Wed Jul  6 14:28:41 2005
@@ -127,3 +127,11 @@ Why:	With the 16-bit PCMCIA subsystem no
 	pcmciautils package available at
 	http://kernel.org/pub/linux/utils/kernel/pcmcia/
 Who:	Dominik Brodowski <linux@brodo.de>
+
+---------------------------
+
+What:	remove EXPORT_SYMBOL(insert_resource)
+When:	April 2006
+Files:	kernel/resource.c
+Why:	No modular usage in the kernel.
+Who:	Adrian Bunk <bunk@stusta.de>
diff -puN include/linux/ioport.h~__deprecated_for_modules-insert_resource include/linux/ioport.h
--- 25/include/linux/ioport.h~__deprecated_for_modules-insert_resource	Wed Jul  6 14:28:12 2005
+++ 25-akpm/include/linux/ioport.h	Wed Jul  6 14:28:12 2005
@@ -94,7 +94,7 @@ extern struct resource iomem_resource;
 extern int request_resource(struct resource *root, struct resource *new);
 extern struct resource * ____request_resource(struct resource *root, struct resource *new);
 extern int release_resource(struct resource *new);
-extern int insert_resource(struct resource *parent, struct resource *new);
+extern __deprecated_for_modules int insert_resource(struct resource *parent, struct resource *new);
 extern int allocate_resource(struct resource *root, struct resource *new,
 			     unsigned long size,
 			     unsigned long min, unsigned long max,
_
